Skip to main content
GET
Get vendor details

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

Vendor ID

Example:

"vnd_abc123def456"

Response

Vendor retrieved successfully

id
string

Vendor ID

Example:

"vnd_abc123def456"

name
string

Vendor name

Example:

"CloudTech Solutions Inc."

description
string

Vendor description

Example:

"Cloud infrastructure provider offering AWS-like services including compute, storage, and networking solutions for enterprise customers."

category
enum<string>
Available options:
cloud,
infrastructure,
software_as_a_service,
finance,
marketing,
sales,
hr,
other
Example:

"cloud"

status
enum<string>
Available options:
not_assessed,
in_progress,
assessed
Example:

"not_assessed"

inherentProbability
enum<string>
Available options:
very_unlikely,
unlikely,
possible,
likely,
very_likely
Example:

"possible"

inherentImpact
enum<string>
Available options:
insignificant,
minor,
moderate,
major,
severe
Example:

"moderate"

residualProbability
enum<string>
Available options:
very_unlikely,
unlikely,
possible,
likely,
very_likely
Example:

"unlikely"

residualImpact
enum<string>
Available options:
insignificant,
minor,
moderate,
major,
severe
Example:

"minor"

website
string | null
Example:

"https://www.cloudtechsolutions.com"

organizationId
string
Example:

"org_abc123def456"

assigneeId
string | null

ID of the user assigned to manage this vendor

Example:

"mem_abc123def456"

createdAt
string<date-time>

When the vendor was created

updatedAt
string<date-time>

When the vendor was last updated

authType
enum<string>

How the request was authenticated

Available options:
api-key,
session
authenticatedUser
object

User information (only for session auth)